
--
-- Table structure for table `site_config`
--

CREATE TABLE IF NOT EXISTS `site_config` (
  `setting_id` int(10) NOT NULL AUTO_INCREMENT,
  `config_name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `config_value` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `config_name` (`config_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=62 ;

--
-- Dumping data for table `site_config`
--

INSERT INTO `site_config` (`setting_id`, `config_name`, `config_value`) VALUES
(1, 'theme', 'default'),
(2, 'solvemedia_c', ''),
(3, 'solvemedia_v', ''),
(4, 'solvemedia_h', ''),
(5, 'proof_required', '0'),
(6, 'aff_req_clicks', '0'),
(7, 'smtp_host', 'localhost'),
(8, 'smtp_port', '25'),
(9, 'smtp_username', ''),
(10, 'smtp_password', ''),
(11, 'smtp_auth', '0'),
(12, 'mail_delivery_method', '0'),
(13, 'clicks_limit', '0'),
(14, 'yt_api', ''),
(15, 'twitter_token', ''),
(16, 'twitter_token_secret', ''),
(17, 'twitter_consumer_key', ''),
(18, 'twitter_consumer_secret', ''),
(19, 'auto_country', '0'),
(20, 'blog_comments', '1'),
(21, 'revshare_api', ''),
(22, 'fb_app_id', ''),
(23, 'fb_app_secret', ''),
(24, 'reg_cash', '0.00'),
(25, 'surf_time_type', '0'),
(26, 'allow_withdraw', '0'),
(27, 'mysql_random', '0'),
(28, 'convert_enabled', '0'),
(29, 'convert_rate', '1000'),
(30, 'min_convert', '100'),
(31, 'aff_click_req', '0'),
(32, 'paypal_auto', '1'),
(33, 'payza_auto', '1'),
(34, 'report_limit', '0'),
(35, 'aff_reg_days', '0'),
(36, 'analytics_id', ''),
(37, 'target_system', '0'),
(38, 'captcha_sys', '0'),
(39, 'recaptcha_pub', '0'),
(40, 'recaptcha_sec', '0'),
(41, 'payza', ''),
(42, 'payza_security', ''),
(43, 'paypal_status', '1'),
(44, 'payza_status', '0'),
(45, 'c_discount', '0'),
(46, 'c_show_msg', '0'),
(47, 'c_text_index', ''),
(48, 'hideref', '0'),
(49, 'surf_fb_skip', '0'),
(50, 'surf_fc_req', '0'),
(51, 'crf_bonus', '0'),
(52, 'c_c_limit', '2'),
(53, 'c_v_limit', '5'),
(54, 'more_per_ip', '0'),
(55, 'def_lang', 'fa'),
(56, 'daily_bonus_vip', '0'),
(57, 'transfer_status', '0'),
(58, 'transfer_fee', '10'),
(59, 'surf_time', '10'),
(60, 'surf_type', '0'),
(61, 'banner_system', '1'),
(62, 'bitpay_auto', '1'),
(63, 'bitpay', ''),
(64, 'bitpay_status', '1');

-- --------------------------------------------------------