<?php
define('BASEPATH', true);
require_once("../../config.php");
if(!$is_online){
	redirect('../../../index.php');
	exit;
}

$s_host = parse_url($site['site_url']);

if($_GET['cash'] != '' && is_numeric($_GET['cash'])){
	$cash = ($_GET['cash'] < 1 ? 1 : $_GET['cash']);
	$cash = number_format($cash, 2, '.', '');
}else{
	redirect('../../../index.php');
	exit;
}

session_start();
$_SESSION['amount'] = $db->EscapeString($_GET['cash']);
$did = $data['id'];$email = $data['email'];
function send($url,$api,$amount,$redirect,$email){
$ch = curl_init();
curl_setopt($ch,CURLOPT_URL,$url);
curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&amount=$amount&redirect=$redirect&email=$email");
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
$res = curl_exec($ch);
curl_close($ch);
return $res;
}
$url = "https://bitpay.ir/payment/gateway-send";
$api = $site['bitpay'];
$amount = $_GET['cash'];
$redirect = urlencode("http://آدرس شما/system/payments/bitpay/ipn.php?id=".$did);
$result = send($url,$api,$amount,$redirect,$email);
if($result > 0 && is_numeric($result)){
$go = "https://bitpay.ir/payment/gateway-$result";
$_SESSION['res'] = $result;
header("Location: $go");
}
switch($result){
case '-1':
echo 'api ارسالی با نوع api تعریف شده در bitpay .سازگار نیست';
break;
case '-2':
echo ' مقدار amount .داده عددي نمی باشد و یا کمتر از 1000 ریال است';
break;
case '-3':
echo ' مقدار redirect رشته null .است';
break;
case '-4':
echo '.درگاهی با اطلاعات ارسالی شما یافت نشده و یا در حالت انتظار می باشد';
break;
}
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head><title>Redirecting...</title>
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />
<style>body{direction:rtl;background: #fff;font: 13px Trebuchet MS, Arial, Helvetica, Sans-Serif;color: #333;line-height: 160%;margin: 0;padding: 0;text-align: center;}h1{font-size: 200%;font-weight: normal}.centerdiv{position: absolute;top: 50%; left: 50%; width: 340px; height: 200px;margin-top: -100px; margin-left: -160px;}</style>
</head>
<body>
<div class="centerdiv"><h1>Connecting to bitpay <img src="<?=$site['site_url']?>/img/go_loader.gif" /></h1></div>
</body>
</html>